<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Integration/test/AlexaDirectiveSequencerLibraryTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_50bcd1f3ad209fedb0a0d7411aa531ff.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AlexaDirectiveSequencerLibraryTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;deque&gt;</code><br />
<code>#include &lt;future&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_a_v_s_connection_manager_8h_source.html">ACL/AVSConnectionManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_directive_sequencer_8h_source.html">ADSL/DirectiveSequencer.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_message_interpreter_8h_source.html">ADSL/MessageInterpreter.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_reader_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachmentReader.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_writer_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachmentWriter.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_blocking_policy_8h_source.html">AVSCommon/AVS/BlockingPolicy.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_event_builder_8h_source.html">AVSCommon/AVS/EventBuilder.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_directive_handler_interface_8h_source.html">AVSCommon/SDKInterfaces/DirectiveHandlerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_directive_handler_result_interface_8h_source.html">AVSCommon/SDKInterfaces/DirectiveHandlerResultInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_exception_encountered_sender_interface_8h_source.html">AVSCommon/SDKInterfaces/ExceptionEncounteredSenderInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_a_c_l_test_context_8h_source.html">Integration/ACLTestContext.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_observable_message_request_8h_source.html">Integration/ObservableMessageRequest.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_test_directive_handler_8h_source.html">Integration/TestDirectiveHandler.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_test_exception_encountered_sender_8h_source.html">Integration/TestExceptionEncounteredSender.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AlexaDirectiveSequencerLibraryTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_alexa_directive_sequencer_library_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_integration_2test_2_alexa_directive_sequencer_library_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_integration_2test_2_alexa_directive_sequencer_library_test_8cpp" id="_2workplace_2avs-device-sdk_2_integration_2test_2_alexa_directive_sequencer_library_test_8cpp">
<area shape="rect" id="node14" href="_a_v_s_connection_manager_8h.html" title="ACL/AVSConnectionManager.h" alt="" coords="1186,119,1393,144"/>
<area shape="rect" id="node29" href="_directive_sequencer_8h.html" title="ADSL/DirectiveSequencer.h" alt="" coords="3137,119,3324,144"/>
<area shape="rect" id="node32" href="_exception_encountered_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="3098,279,3363,317"/>
<area shape="rect" id="node34" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="2259,279,2450,317"/>
<area shape="rect" id="node35" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="786,365,1011,404"/>
<area shape="rect" id="node38" href="_message_interpreter_8h.html" title="ADSL/MessageInterpreter.h" alt="" coords="2032,119,2218,144"/>
<area shape="rect" id="node39" href="_in_process_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentReader.h" alt="" coords="4246,192,4452,231"/>
<area shape="rect" id="node42" href="_in_process_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentWriter.h" alt="" coords="3970,192,4171,231"/>
<area shape="rect" id="node43" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="3652,119,3769,144"/>
<area shape="rect" id="node44" href="_event_builder_8h.html" title="AVSCommon/AVS/EventBuilder.h" alt="" coords="4477,199,4697,224"/>
<area shape="rect" id="node45" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="3723,279,3893,317"/>
<area shape="rect" id="node46" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="4653,365,4829,404"/>
<area shape="rect" id="node47" href="_a_c_l_test_context_8h.html" title="Integration/ACLTestContext.h" alt="" coords="245,372,440,397"/>
<area shape="rect" id="node48" href="_observable_message_request_8h.html" title="Integration/ObservableMessage\lRequest.h" alt="" coords="4680,279,4890,317"/>
<area shape="rect" id="node49" href="_test_directive_handler_8h.html" title="Integration/TestDirective\lHandler.h" alt="" coords="3782,192,3946,231"/>
<area shape="rect" id="node50" href="_test_exception_encountered_sender_8h.html" title="Integration/TestException\lEncounteredSender.h" alt="" coords="3449,192,3620,231"/>
<area shape="rect" id="node18" href="_abstract_a_v_s_connection_manager_8h.html" title="AVSCommon/AVS/AbstractAVSConnection\lManager.h" alt="" coords="325,279,601,317"/>
<area shape="rect" id="node19" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="515,365,763,404"/>
<area shape="rect" id="node20" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="1186,372,1435,397"/>
<area shape="rect" id="node22" href="_a_v_s_endpoint_assigner_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AVSEndpointAssignerInterface.h" alt="" coords="1712,365,1930,404"/>
<area shape="rect" id="node23" href="_internet_connection_monitor_interface_8h.html" title="AVSCommon/SDKInterfaces\l/InternetConnectionMonitorInterface.h" alt="" coords="885,192,1131,231"/>
<area shape="rect" id="node24" href="_message_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageObserverInterface.h" alt="" coords="1688,192,1885,231"/>
<area shape="rect" id="node25" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="1193,279,1383,317"/>
<area shape="rect" id="node26" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2157,365,2345,404"/>
<area shape="rect" id="node27" href="_message_router_interface_8h.html" title="ACL/Transport/MessageRouter\lInterface.h" alt="" coords="1256,192,1461,231"/>
<area shape="rect" id="node28" href="_message_router_observer_interface_8h.html" title="ACL/Transport/MessageRouter\lObserverInterface.h" alt="" coords="779,279,984,317"/>
<area shape="rect" id="node21" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2205,452,2406,491"/>
<area shape="rect" id="node33" href="_directive_sequencer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveSequencerInterface.h" alt="" coords="2062,192,2266,231"/>
<area shape="rect" id="node36" href="_directive_processor_8h.html" title="ADSL/DirectiveProcessor.h" alt="" coords="2626,199,2808,224"/>
<area shape="rect" id="node37" href="_directive_router_8h.html" title="ADSL/DirectiveRouter.h" alt="" coords="2811,285,2973,311"/>
<area shape="rect" id="node40" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="4342,279,4504,317"/>
<area shape="rect" id="node41" href="_reader_8h.html" title="Reader.h" alt="" coords="4352,372,4427,397"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_directive_sequencer_library_test.html">alexaClientSDK::integration::test::AlexaDirectiveSequencerLibraryTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">alexaClientSDK::integration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">alexaClientSDK::integration::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_alexa_directive_sequencer_library_test_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734b1d59ed45dd1f73843d3a7487436f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_alexa_directive_sequencer_library_test_8cpp.html#a734b1d59ed45dd1f73843d3a7487436f">RECOGNIZE_EVENT_JSON</a>(PROFILE,  DIALOG_REQUEST_ID)</td></tr>
<tr class="separator:a734b1d59ed45dd1f73843d3a7487436f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81f56b7782f9bc6ddecb8266558545a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_alexa_directive_sequencer_library_test_8cpp.html#a81f56b7782f9bc6ddecb8266558545a9">FIRST_DIALOG_REQUEST_ID</a>&#160;&#160;&#160;&quot;DialogRequestID123&quot;</td></tr>
<tr class="separator:a81f56b7782f9bc6ddecb8266558545a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ad9fa1169427ca504b660e80a95cf1c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_alexa_directive_sequencer_library_test_8cpp.html#a8ad9fa1169427ca504b660e80a95cf1c">SECOND_DIALOG_REQUEST_ID</a>&#160;&#160;&#160;&quot;DialogRequestID456&quot;</td></tr>
<tr class="separator:a8ad9fa1169427ca504b660e80a95cf1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6a324e8958bcaacd0fe4ee9cc2926704"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6a324e8958bcaacd0fe4ee9cc2926704">alexaClientSDK::integration::test::TAG</a> (&quot;AlexaDirectiveSequencerLibraryTest&quot;)</td></tr>
<tr class="memdesc:a6a324e8958bcaacd0fe4ee9cc2926704"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6a324e8958bcaacd0fe4ee9cc2926704">More...</a><br /></td></tr>
<tr class="separator:a6a324e8958bcaacd0fe4ee9cc2926704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a283cbcbaa3f230fbad5a91e2b1cc2bd0"><td class="memItemLeft" align="right" valign="top">static const std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a283cbcbaa3f230fbad5a91e2b1cc2bd0">alexaClientSDK::integration::test::WAIT_FOR_TIMEOUT_DURATION</a> (5)</td></tr>
<tr class="separator:a283cbcbaa3f230fbad5a91e2b1cc2bd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5cdccb9303e756d8970a8a5ca0c889"><td class="memItemLeft" align="right" valign="top">static const std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#afe5cdccb9303e756d8970a8a5ca0c889">alexaClientSDK::integration::test::SEND_EVENT_TIMEOUT_DURATION</a> (20)</td></tr>
<tr class="separator:afe5cdccb9303e756d8970a8a5ca0c889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29977df61b5c891d529f9201b135e95c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a29977df61b5c891d529f9201b135e95c">alexaClientSDK::integration::test::getToken</a> (TestDirectiveHandler::DirectiveParams params, std::string &amp;returnToken)</td></tr>
<tr class="separator:a29977df61b5c891d529f9201b135e95c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7afa8fd1a535a2b10d7502ca270fcd2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab7afa8fd1a535a2b10d7502ca270fcd2">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_sendEventWithDirective)</td></tr>
<tr class="separator:ab7afa8fd1a535a2b10d7502ca270fcd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61a69703510055871dd852688c3bcf9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a61a69703510055871dd852688c3bcf9b">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_sendDirectiveGroupWithoutBlocking)</td></tr>
<tr class="separator:a61a69703510055871dd852688c3bcf9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24f567c2d364eb3190fe616f765717b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a24f567c2d364eb3190fe616f765717b8">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_sendDirectiveWithDifferentDialogRequestID)</td></tr>
<tr class="separator:a24f567c2d364eb3190fe616f765717b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1124ef9297a399c008231dbc0c0ee71"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aa1124ef9297a399c008231dbc0c0ee71">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_dropQueueAfterBargeIn)</td></tr>
<tr class="separator:aa1124ef9297a399c008231dbc0c0ee71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af500bdfe73d50dc0a83c4ec9280aa203"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#af500bdfe73d50dc0a83c4ec9280aa203">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_sendDirectiveWithoutADialogRequestID)</td></tr>
<tr class="separator:af500bdfe73d50dc0a83c4ec9280aa203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8728547c0004c7628e804593ed58ebf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ac8728547c0004c7628e804593ed58ebf">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_sendDirectivesForPreHandling)</td></tr>
<tr class="separator:ac8728547c0004c7628e804593ed58ebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8d5ff4ede3b435dc6c4979caafced2f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ac8d5ff4ede3b435dc6c4979caafced2f">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_cancelDirectivesWhileInQueue)</td></tr>
<tr class="separator:ac8d5ff4ede3b435dc6c4979caafced2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16ae21ad0ff8eb4468518a0f2bd6e89b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a16ae21ad0ff8eb4468518a0f2bd6e89b">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_oneBlockingDirectiveAtTheFront)</td></tr>
<tr class="separator:a16ae21ad0ff8eb4468518a0f2bd6e89b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4a1c6fc5142a4704d043703bacd1e13"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ad4a1c6fc5142a4704d043703bacd1e13">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_oneBlockingDirectiveInTheMiddle)</td></tr>
<tr class="separator:ad4a1c6fc5142a4704d043703bacd1e13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84836d6e7c112d618930accb99d8a7c8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a84836d6e7c112d618930accb99d8a7c8">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_noDirectiveHandlerRegisteredForADirectiveAtTheFront)</td></tr>
<tr class="separator:a84836d6e7c112d618930accb99d8a7c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3ee59900de608aa54488a4a196d38f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab3ee59900de608aa54488a4a196d38f9">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_noDirectiveHandlerRegisteredForADirectiveInTheMiddle)</td></tr>
<tr class="separator:ab3ee59900de608aa54488a4a196d38f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14fd63c2859f64ffb30daf8313fd28f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a14fd63c2859f64ffb30daf8313fd28f7">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_twoDirectiveHandlersRegisteredForADirective)</td></tr>
<tr class="separator:a14fd63c2859f64ffb30daf8313fd28f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9a7733ff11384cbc598dd4fdfd1f8ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aa9a7733ff11384cbc598dd4fdfd1f8ab">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_multiturnScenario)</td></tr>
<tr class="separator:aa9a7733ff11384cbc598dd4fdfd1f8ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79ff2bdb7a9c7df0ffcd9d64d5b957aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a79ff2bdb7a9c7df0ffcd9d64d5b957aa">alexaClientSDK::integration::test::TEST_F</a> (AlexaDirectiveSequencerLibraryTest, test_getAttachmentWithContentId)</td></tr>
<tr class="separator:a79ff2bdb7a9c7df0ffcd9d64d5b957aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_alexa_directive_sequencer_library_test_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a92a6b4da6426a54341691226e027282f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a92a6b4da6426a54341691226e027282f">alexaClientSDK::integration::test::RECOGNIZE_JOKE_AUDIO_FILE_NAME</a> = &quot;/recognize_joke_test.wav&quot;</td></tr>
<tr class="memdesc:a92a6b4da6426a54341691226e027282f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a 16 bit 16 kHz little endian linear PCM audio file of "Joke" to be recognized.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a92a6b4da6426a54341691226e027282f">More...</a><br /></td></tr>
<tr class="separator:a92a6b4da6426a54341691226e027282f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ee899e44231491767a491ff9812426e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a2ee899e44231491767a491ff9812426e">alexaClientSDK::integration::test::RECOGNIZE_WIKI_AUDIO_FILE_NAME</a> = &quot;/recognize_wiki_test.wav&quot;</td></tr>
<tr class="memdesc:a2ee899e44231491767a491ff9812426e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a 16 bit 16 kHz little endian linear PCM audio file of "Wikipedia" to be recognized.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a2ee899e44231491767a491ff9812426e">More...</a><br /></td></tr>
<tr class="separator:a2ee899e44231491767a491ff9812426e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16c70e1f55f74a7b67f81a499c9e0c45"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a16c70e1f55f74a7b67f81a499c9e0c45">alexaClientSDK::integration::test::RECOGNIZE_LIONS_AUDIO_FILE_NAME</a> = &quot;/recognize_lions_test.wav&quot;</td></tr>
<tr class="memdesc:a16c70e1f55f74a7b67f81a499c9e0c45"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a 16 bit 16 kHz little endian linear PCM audio file of "Lions" to be recognized.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a16c70e1f55f74a7b67f81a499c9e0c45">More...</a><br /></td></tr>
<tr class="separator:a16c70e1f55f74a7b67f81a499c9e0c45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a793a70e3ef1134a0f402847ff2940a2c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a793a70e3ef1134a0f402847ff2940a2c">alexaClientSDK::integration::test::RECOGNIZE_WHATS_UP_AUDIO_FILE_NAME</a> = &quot;/recognize_whats_up_test.wav&quot;</td></tr>
<tr class="memdesc:a793a70e3ef1134a0f402847ff2940a2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a 16 bit 16 kHz little endian linear PCM audio file of "What's up" to be recognized.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a793a70e3ef1134a0f402847ff2940a2c">More...</a><br /></td></tr>
<tr class="separator:a793a70e3ef1134a0f402847ff2940a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac95f71ed3053d5a1ee26fe92ad4f78c9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ac95f71ed3053d5a1ee26fe92ad4f78c9">alexaClientSDK::integration::test::RECOGNIZE_TIMER_AUDIO_FILE_NAME</a> = &quot;/recognize_timer_test.wav&quot;</td></tr>
<tr class="memdesc:ac95f71ed3053d5a1ee26fe92ad4f78c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a 16 bit 16 kHz little endian linear PCM audio file of "Set a timer for 5 seconds" to be recognized.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ac95f71ed3053d5a1ee26fe92ad4f78c9">More...</a><br /></td></tr>
<tr class="separator:ac95f71ed3053d5a1ee26fe92ad4f78c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8c417246d9423c819563307ad4cf9d3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab8c417246d9423c819563307ad4cf9d3">alexaClientSDK::integration::test::RECOGNIZE_FLASHBRIEFING_AUDIO_FILE_NAME</a> = &quot;/recognize_flashbriefing_test.wav&quot;</td></tr>
<tr class="memdesc:ab8c417246d9423c819563307ad4cf9d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a 16 bit 16 kHz little endian linear PCM audio file of "flashbriefing" to be recognized.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab8c417246d9423c819563307ad4cf9d3">More...</a><br /></td></tr>
<tr class="separator:ab8c417246d9423c819563307ad4cf9d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1e5786d428a14e56e8a94f1c6826ef7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab1e5786d428a14e56e8a94f1c6826ef7">alexaClientSDK::integration::test::CT_FIRST_RECOGNIZE_EVENT_JSON</a> = <a class="el" href="_speech_synthesizer_integration_test_8cpp.html#a734b1d59ed45dd1f73843d3a7487436f">RECOGNIZE_EVENT_JSON</a>(CLOSE_TALK, <a class="el" href="_speech_synthesizer_integration_test_8cpp.html#a81f56b7782f9bc6ddecb8266558545a9">FIRST_DIALOG_REQUEST_ID</a>)</td></tr>
<tr class="memdesc:ab1e5786d428a14e56e8a94f1c6826ef7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This string specifies a Recognize event using the CLOSE_TALK profile and uses the first DialogRequestID.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab1e5786d428a14e56e8a94f1c6826ef7">More...</a><br /></td></tr>
<tr class="separator:ab1e5786d428a14e56e8a94f1c6826ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16a7006db0e1d2943c9adeeefe041c81"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a16a7006db0e1d2943c9adeeefe041c81">alexaClientSDK::integration::test::CT_SECOND_RECOGNIZE_EVENT_JSON</a> = <a class="el" href="_speech_synthesizer_integration_test_8cpp.html#a734b1d59ed45dd1f73843d3a7487436f">RECOGNIZE_EVENT_JSON</a>(CLOSE_TALK, <a class="el" href="_speech_synthesizer_integration_test_8cpp.html#a8ad9fa1169427ca504b660e80a95cf1c">SECOND_DIALOG_REQUEST_ID</a>)</td></tr>
<tr class="memdesc:a16a7006db0e1d2943c9adeeefe041c81"><td class="mdescLeft">&#160;</td><td class="mdescRight">This string specifies a Recognize event using the CLOSE_TALK profile and uses the second DialogRequestID.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a16a7006db0e1d2943c9adeeefe041c81">More...</a><br /></td></tr>
<tr class="separator:a16a7006db0e1d2943c9adeeefe041c81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32adfacfa6a33a61ebeadde84f001239"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a32adfacfa6a33a61ebeadde84f001239">alexaClientSDK::integration::test::NAME_CLEAR_QUEUE</a> = &quot;ClearQueue&quot;</td></tr>
<tr class="separator:a32adfacfa6a33a61ebeadde84f001239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f5ca25c223173ab4607d36a86b0ee92"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a3f5ca25c223173ab4607d36a86b0ee92">alexaClientSDK::integration::test::NAME_EXPECT_SPEECH</a> = &quot;ExpectSpeech&quot;</td></tr>
<tr class="separator:a3f5ca25c223173ab4607d36a86b0ee92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a03825a3203dd46f1c35819e7c30e5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a01a03825a3203dd46f1c35819e7c30e5">alexaClientSDK::integration::test::NAME_PLAY</a> = &quot;Play&quot;</td></tr>
<tr class="separator:a01a03825a3203dd46f1c35819e7c30e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5249f9a9fae0d1f57a2204b403a248ff"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a5249f9a9fae0d1f57a2204b403a248ff">alexaClientSDK::integration::test::NAME_SET_MUTE</a> = &quot;SetMute&quot;</td></tr>
<tr class="separator:a5249f9a9fae0d1f57a2204b403a248ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affaa21189c8c60333ee4b441c2302c9d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#affaa21189c8c60333ee4b441c2302c9d">alexaClientSDK::integration::test::NAME_SPEAK</a> = &quot;Speak&quot;</td></tr>
<tr class="separator:affaa21189c8c60333ee4b441c2302c9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa600559f463415efde2114d6c57673ab"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aa600559f463415efde2114d6c57673ab">alexaClientSDK::integration::test::NAME_STOP</a> = &quot;Stop&quot;</td></tr>
<tr class="separator:aa600559f463415efde2114d6c57673ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b9a5303e67452e8da4fcdfe7bec76c5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a0b9a5303e67452e8da4fcdfe7bec76c5">alexaClientSDK::integration::test::NAME_SPEECH_STARTED</a> = &quot;SpeechStarted&quot;</td></tr>
<tr class="separator:a0b9a5303e67452e8da4fcdfe7bec76c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ceb220460c760906cc076b0d7376c77"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a2ceb220460c760906cc076b0d7376c77">alexaClientSDK::integration::test::NAME_SPEECH_FINISHED</a> = &quot;SpeechFinished&quot;</td></tr>
<tr class="separator:a2ceb220460c760906cc076b0d7376c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa670672c83afad41a2272fada7ecfc62"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aa670672c83afad41a2272fada7ecfc62">alexaClientSDK::integration::test::NAME_SET_ALERT_FAILED</a> = &quot;SetAlertFailed&quot;</td></tr>
<tr class="separator:aa670672c83afad41a2272fada7ecfc62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50eb8ccaf1d2c63a09caa34097411d07"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a50eb8ccaf1d2c63a09caa34097411d07">alexaClientSDK::integration::test::NAME_SET_ALERT</a> = &quot;SetAlert&quot;</td></tr>
<tr class="separator:a50eb8ccaf1d2c63a09caa34097411d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1c737a524372b21beb7a1991c86a03e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ad1c737a524372b21beb7a1991c86a03e">alexaClientSDK::integration::test::NAMESPACE_AUDIO_PLAYER</a> = &quot;AudioPlayer&quot;</td></tr>
<tr class="separator:ad1c737a524372b21beb7a1991c86a03e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0346c4db57fed4601a62de701036f001"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a0346c4db57fed4601a62de701036f001">alexaClientSDK::integration::test::NAMESPACE_ALERTS</a> = &quot;Alerts&quot;</td></tr>
<tr class="separator:a0346c4db57fed4601a62de701036f001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d06ca049551a66a8aef7c8872bf136b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a1d06ca049551a66a8aef7c8872bf136b">alexaClientSDK::integration::test::NAMESPACE_SPEAKER</a> = &quot;Speaker&quot;</td></tr>
<tr class="separator:a1d06ca049551a66a8aef7c8872bf136b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36677d27b7a766c6bff3a4522f919004"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a36677d27b7a766c6bff3a4522f919004">alexaClientSDK::integration::test::NAMESPACE_SPEECH_RECOGNIZER</a> = &quot;SpeechRecognizer&quot;</td></tr>
<tr class="separator:a36677d27b7a766c6bff3a4522f919004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc8f3de3b3f7404f753b940c86d2f3d1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#abc8f3de3b3f7404f753b940c86d2f3d1">alexaClientSDK::integration::test::NAMESPACE_SPEECH_SYNTHESIZER</a> = &quot;SpeechSynthesizer&quot;</td></tr>
<tr class="separator:abc8f3de3b3f7404f753b940c86d2f3d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6de2be236c2ecbaa09aec2b78c234b5"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae6de2be236c2ecbaa09aec2b78c234b5">alexaClientSDK::integration::test::EXPECT_SPEECH_PAIR</a> (NAMESPACE_SPEECH_RECOGNIZER, NAME_EXPECT_SPEECH)</td></tr>
<tr class="separator:ae6de2be236c2ecbaa09aec2b78c234b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9597d5d2ed9d09fd0eb5fac6a0e2146"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae9597d5d2ed9d09fd0eb5fac6a0e2146">alexaClientSDK::integration::test::SET_MUTE_PAIR</a> (NAMESPACE_SPEAKER, NAME_SET_MUTE)</td></tr>
<tr class="separator:ae9597d5d2ed9d09fd0eb5fac6a0e2146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ba28ebc0c35a4f0431a82a4a9ecd6ba"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a5ba28ebc0c35a4f0431a82a4a9ecd6ba">alexaClientSDK::integration::test::SPEAK_PAIR</a> (NAMESPACE_SPEECH_SYNTHESIZER, NAME_SPEAK)</td></tr>
<tr class="separator:a5ba28ebc0c35a4f0431a82a4a9ecd6ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6989e294e1bfd9e16d9311d177efc9f7"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6989e294e1bfd9e16d9311d177efc9f7">alexaClientSDK::integration::test::SET_ALERT_PAIR</a> (NAMESPACE_ALERTS, NAME_SET_ALERT)</td></tr>
<tr class="separator:a6989e294e1bfd9e16d9311d177efc9f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f098424ddabced92c7b603a2a759cc5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a1f098424ddabced92c7b603a2a759cc5">alexaClientSDK::integration::test::JSON_MESSAGE_DIRECTIVE_KEY</a> = &quot;directive&quot;</td></tr>
<tr class="memdesc:a1f098424ddabced92c7b603a2a759cc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the directive object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a1f098424ddabced92c7b603a2a759cc5">More...</a><br /></td></tr>
<tr class="separator:a1f098424ddabced92c7b603a2a759cc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25d2ffa0f192a1e6c751e9a99d769c9b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a25d2ffa0f192a1e6c751e9a99d769c9b">alexaClientSDK::integration::test::JSON_MESSAGE_HEADER_KEY</a> = &quot;header&quot;</td></tr>
<tr class="memdesc:a25d2ffa0f192a1e6c751e9a99d769c9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the header object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a25d2ffa0f192a1e6c751e9a99d769c9b">More...</a><br /></td></tr>
<tr class="separator:a25d2ffa0f192a1e6c751e9a99d769c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6396aa555c90a23e0993c87815521fe4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6396aa555c90a23e0993c87815521fe4">alexaClientSDK::integration::test::JSON_MESSAGE_NAMESPACE_KEY</a> = &quot;namespace&quot;</td></tr>
<tr class="memdesc:a6396aa555c90a23e0993c87815521fe4"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the namespace value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6396aa555c90a23e0993c87815521fe4">More...</a><br /></td></tr>
<tr class="separator:a6396aa555c90a23e0993c87815521fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab1c630a3c89fc68c7f1aefb47f1e0de"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aab1c630a3c89fc68c7f1aefb47f1e0de">alexaClientSDK::integration::test::JSON_MESSAGE_NAME_KEY</a> = &quot;name&quot;</td></tr>
<tr class="memdesc:aab1c630a3c89fc68c7f1aefb47f1e0de"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the name value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aab1c630a3c89fc68c7f1aefb47f1e0de">More...</a><br /></td></tr>
<tr class="separator:aab1c630a3c89fc68c7f1aefb47f1e0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8916327968f02031bfd5c3d06ffbbd25"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a8916327968f02031bfd5c3d06ffbbd25">alexaClientSDK::integration::test::JSON_MESSAGE_MESSAGE_ID_KEY</a> = &quot;messageId&quot;</td></tr>
<tr class="memdesc:a8916327968f02031bfd5c3d06ffbbd25"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the messageId value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a8916327968f02031bfd5c3d06ffbbd25">More...</a><br /></td></tr>
<tr class="separator:a8916327968f02031bfd5c3d06ffbbd25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51d3225bb60e2d3956a88ca6e516185d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a51d3225bb60e2d3956a88ca6e516185d">alexaClientSDK::integration::test::JSON_MESSAGE_DIALOG_REQUEST_ID_KEY</a> = &quot;dialogRequestId&quot;</td></tr>
<tr class="memdesc:a51d3225bb60e2d3956a88ca6e516185d"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the dialogRequestId value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a51d3225bb60e2d3956a88ca6e516185d">More...</a><br /></td></tr>
<tr class="separator:a51d3225bb60e2d3956a88ca6e516185d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae200947b8c657fd0d983b7d996a92604"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae200947b8c657fd0d983b7d996a92604">alexaClientSDK::integration::test::JSON_MESSAGE_PAYLOAD_KEY</a> = &quot;payload&quot;</td></tr>
<tr class="memdesc:ae200947b8c657fd0d983b7d996a92604"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the payload object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae200947b8c657fd0d983b7d996a92604">More...</a><br /></td></tr>
<tr class="separator:ae200947b8c657fd0d983b7d996a92604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf17798e470452900de368e4711a2163"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aaf17798e470452900de368e4711a2163">alexaClientSDK::integration::test::JSON_MESSAGE_TOKEN_KEY</a> = &quot;token&quot;</td></tr>
<tr class="memdesc:aaf17798e470452900de368e4711a2163"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the payload object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aaf17798e470452900de368e4711a2163">More...</a><br /></td></tr>
<tr class="separator:aaf17798e470452900de368e4711a2163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfa9a088000e8b8feecc633f683ab93d"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#abfa9a088000e8b8feecc633f683ab93d">alexaClientSDK::integration::test::TOKEN_KEY</a> [] = &quot;token&quot;</td></tr>
<tr class="memdesc:abfa9a088000e8b8feecc633f683ab93d"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to add to the payload object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#abfa9a088000e8b8feecc633f683ab93d">More...</a><br /></td></tr>
<tr class="separator:abfa9a088000e8b8feecc633f683ab93d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56baf2c717a7ebf598980c057b68a87c"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a56baf2c717a7ebf598980c057b68a87c">alexaClientSDK::integration::test::g_configPath</a></td></tr>
<tr class="memdesc:a56baf2c717a7ebf598980c057b68a87c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the AlexaClientSDKConfig.json file (from command line arguments).  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a56baf2c717a7ebf598980c057b68a87c">More...</a><br /></td></tr>
<tr class="separator:a56baf2c717a7ebf598980c057b68a87c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfaff0ec341efe46eec2f39770d8a141"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#abfaff0ec341efe46eec2f39770d8a141">alexaClientSDK::integration::test::g_inputPath</a></td></tr>
<tr class="memdesc:abfaff0ec341efe46eec2f39770d8a141"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to resources (e.g. audio files) for tests (from command line arguments).  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#abfaff0ec341efe46eec2f39770d8a141">More...</a><br /></td></tr>
<tr class="separator:abfaff0ec341efe46eec2f39770d8a141"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a81f56b7782f9bc6ddecb8266558545a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81f56b7782f9bc6ddecb8266558545a9">&#9670;&nbsp;</a></span>FIRST_DIALOG_REQUEST_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FIRST_DIALOG_REQUEST_ID&#160;&#160;&#160;&quot;DialogRequestID123&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a734b1d59ed45dd1f73843d3a7487436f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a734b1d59ed45dd1f73843d3a7487436f">&#9670;&nbsp;</a></span>RECOGNIZE_EVENT_JSON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RECOGNIZE_EVENT_JSON</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">PROFILE, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">DIALOG_REQUEST_ID&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This string specifies a Recognize event using the specified profile.</p>
<p class="">CLOSE_TALK performs end-of-speech detection on the client, so no directive is sent from AVS to stop recording. NEAR_FIELD performs end-of-speech detection in AVS, so a directive is sent from AVS to stop recording. </p>

</div>
</div>
<a id="a8ad9fa1169427ca504b660e80a95cf1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ad9fa1169427ca504b660e80a95cf1c">&#9670;&nbsp;</a></span>SECOND_DIALOG_REQUEST_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SECOND_DIALOG_REQUEST_ID&#160;&#160;&#160;&quot;DialogRequestID456&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
